<div class="main">
  <div class="header">
    <div class="title">
      <h2>{{title}}</h2>
      <div class="content">
        <ng-content></ng-content>
      </div>
    </div>
    <div class="control-panel">
      <filter
        [entries]="filterEntries"
        [presets]="filterPresets"
        (filterChange)="filterChange"
      ></filter>

      <material-dropdown-select
        buttonText="Columns..."
        [selection]="columnSelection"
        [options]="fields"
      >
      </material-dropdown-select>
    </div>
  </div>
  <div class="data-viewer">
    <div *ngIf="canShowTable">
      <ana-table
        lineNumber
        explicitSelection
        wrapText
        [fields]="selectedColumns"
        [rows]="rows"
        [startingIndex]="startingIndex"
        [explicitSelectedCell]="selectedCell"
        [quickEditFieldIndices]="quickEditFieldIndices"
        (click)="tableCellClicked"
        (quickEdit)="tableQuickEdit"
      >
      </ana-table>
      <p *ngIf="rows.isEmpty">
        There is no data. Please create new or alter the Filters.
      </p>
    </div>
    <p *ngIf="!canShowTable">Loading data...</p>
  </div>
  <div class="footer">
    <material-chips
      class="dense clickable"
      [selectionModel]="selectionModel"
      [itemRenderer]="itemRenderer"
    >
      <material-chip
        *ngIf="selectionModel.isNotEmpty"
        buttonDecorator
        (trigger)="clearSelection"
        [removable]="false"
      >
        Clear All
      </material-chip>
    </material-chips>
    <div class="pagination">
      <div>
        {{paginationInfo}}
        <material-dropdown-select
          [buttonText]="currentPageLimit"
          [options]="pageLimits"
          (selectionChange)="pageLimitChange($event)"
        >
        </material-dropdown-select>
        per page
      </div>
      <material-button
        [disabled]="!hasPreviousPage"
        icon
        (trigger)="gotoPreviousPage"
      >
        <material-icon icon="chevron_left"></material-icon>
      </material-button>
      <material-button [disabled]="!hasNextPage" icon (trigger)="gotoNextPage">
        <material-icon icon="chevron_right"></material-icon>
      </material-button>
    </div>
  </div>
</div>
